Subject: RE: [External] : bug#51132: Make sure user is doubly aware of finished complilations

From: Drew Adams <[email-masked]>
Date: Mon, 11 Oct 2021 14:41:53 +0000

> > OK, but then it disappears when the compilation is over.
> 
> A message is issued, and I think that's sufficient.  Closing.

FWIW:

I agree with the OP that a progress indication
should end with an indication that the thing in
progress is finished.

AND the indication should generally be of the same
type (at least - _additional_ indications are OK).

A message "Foobarring..." should generally be
followed when done by "Foobarring...done".  And an
indication "Foobarring..." in the mode line should
generally be followed by an indication in the mode
line (e.g. "Foobarring...done").

This is just common sense, IMO.  Saying that there's
some _other_ indication somewhere else, doesn't cut
the mustard.  The "opening of the parenthesis" needs
to be followed by its closing in the same manner
(e.g. same place) - whatever that manner might be.

It shouldn't be difficult to update the mode-line
indication to add "...done".  And the first user
action can erase that indication.  (Ideally, a user
action might cause such a mode-line message to be
copied to `*Messages*' or some other log, if there
is no other progress indication than that in the
mode line.

I see no reason for the justification of won't-fix
that just because there's an echo-area message that
the process is done there should be no mode-line
indication as well.

Just one opinion.